## ros-kinetic-rocon-gateway 0.8.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_gateway)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED
  COMPONENTS roslint)
catkin_package()

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

# We double up on gateway_info/remote_gateway_info - both private (backwards
# compatible) and public in setup.py
install(
    PROGRAMS 
        scripts/gateway_info
        scripts/remote_gateway_info
        scripts/gateway.py
        scripts/advertise
        scripts/flip
        scripts/pull
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Lint Python modules for PEP8 compatibility
file(GLOB_RECURSE ${PROJECT_NAME}_PY_SCRIPTS
     RELATIVE ${PROJECT_SOURCE_DIR} scripts/*)
file(GLOB_RECURSE ${PROJECT_NAME}_PY_SRC
RELATIVE ${PROJECT_SOURCE_DIR} src/${PROJECT_NAME}/*.py)
roslint_python(${${PROJECT_NAME}_PY_SCRIPTS})
roslint_python(${${PROJECT_NAME}_PY_SRC})

=== debian/changelog ===
ros-kinetic-rocon-gateway (0.8.1-2xenial) xenial; urgency=high

  * handle flip problems when connections go down

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Jun 2016 15:00:00 -0000

ros-kinetic-rocon-gateway (0.8.0-2xenial) xenial; urgency=high

  * many gateway connection bugfixes
  * gateway tests again functional

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.9-2xenial) xenial; urgency=high

  * add rosgraph dependency
  * import rosgraph to handle MasterError
  * skipps if node is not availalble
  * update
  * xmlrpc uri is also recorded now
  * add xmlrpc in node
  * refactoring
  * refactoring flipp updates
  * refactoring ros service callback functions closes #307 <https://github.com/robotics-in-concert/rocon_multimaster/issues/307>
  * add more prints to investigate insecure pickle closes #302 <https://github.com/robotics-in-concert/rocon_multimaster/issues/302>
  * increase hubconnection socket timeout to resolve frequent hub disengagement closes #301 <https://github.com/robotics-in-concert/rocon_multimaster/issues/301>
  * [rocon_gateway] some new convenience args.
  * Contributors: Daniel Stonier, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.8-2xenial) xenial; urgency=high

  * fix the wrong message format parsing. closes #297 <https://github.com/robotics-in-concert/rocon_multimaster/issues/297>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.7-2xenial) xenial; urgency=high

  * [rocon_gateway] make local gateway information available immediately.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.6-2xenial) xenial; urgency=high

  * [rocon_gateway] bugfix gateway param setting
  * [rocon_gateway] hint to the user what environment variable needs to be
    set if using multiple interfaces.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.5-2xenial) xenial; urgency=high

  * Merge branch 'cyclic_flip' of https://github.com/robotics-in-concert/rocon_multimaster into cyclic_flip
  * updating logic to store filtered flip
  * Merge branch 'indigo' into cyclic_flip
  * Hints for the ignorant.
  * cleanup
  * now it prevents cyclic flips. it addresses #283 <https://github.com/robotics-in-concert/rocon_multimaster/issues/283>. Fix #283 <https://github.com/robotics-in-concert/rocon_multimaster/issues/283>
  * it was silently ignoring if topic being flipped does not have type information. Now it provides warning that it is not flippable
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.4-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.3-2xenial) xenial; urgency=high

  * lists instead of semi-colon separated strings for hub whitelist/blacklist parameters.
  * keep trying to resolve zeroconf hubs instead of blacklisting them so we can come back from wireless dropouts, #271 <https://github.com/robotics-in-concert/rocon_multimaster/issues/271>.
  * update publisher queue_size to avoid warning in indigo.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.1-2xenial) xenial; urgency=high

  * fix minor graph variable refactoring bugs.
  * optimized updating flipped_in_connections. closes #267 <https://github.com/robotics-in-concert/rocon_multimaster/issues/267>
  * remote_gateway_info needs more time to find the concert if launched with
    other nodes at startup.
  * make remote_gateway_info roslaunchable.
  * use a loop period in the ``remote_gateway_info`` script.
  * remove the redundant (is in rocon_gateway_utils) gateway resolver from the master api
  * bugfix erroneous interpretation of boolean keys on the hub, fixes #263 <https://github.com/robotics-in-concert/rocon_multimaster/issues/263>.
  * handle a socket error with a warning when user sets a wireless ip to ROS_IP.
  * option for putting ``remote_gateway_info`` on a loop.
  * Contributors: Daniel Stonier, Jack O'Quin, Piyush Khandelwal

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

ros-kinetic-rocon-gateway (0.7.0-2xenial) xenial; urgency=high

  * client to hub connection statistics
  * move flip handling from pubsub channels to encrypted posting on the hubs
  * disconnect/reconnect to the hub handling
  * pep8 and code analysis
  * catch and handle many exceptions
  * multi-version support for redis servers, currently v2.2 and v2.6
  * Contributors: Daniel Stonier, Jorge Santos, Marcus Liebhardt, Piyush Khandelwal, piyushk

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-gateway (0.6.0-2xenial) xenial; urgency=high

  * disable uuids, tested with turtlebot, but not with turtle or chatter concerts.
  * more info for error checking.
  * error checking for master api register service bug.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-kinetic-rocon-gateway (0.5.3-2xenial) xenial; urgency=high

  * handles for configuring and triggering the watcher loop updates.
  * don't try and delete a remote gateway's advertisements for it.
  * add missing dependencies on rostopic and rosservice.
  * bugfix unregister subcriber update faults when subscriber has disappeared.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-kinetic-rocon-gateway (0.5.0-2xenial) xenial; urgency=high

  * fix problems with new skeletonised connection index for advertising.
  * better error feedback on sample errors.


=== debian/control ===
Source: ros-kinetic-rocon-gateway
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslint
Homepage: http://ros.org/wiki/rocon_gateway
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-gateway
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-crypto, ros-kinetic-gateway-msgs, ros-kinetic-rocon-console, ros-kinetic-rocon-gateway-utils, ros-kinetic-rocon-hub-client, ros-kinetic-rocon-python-comms, ros-kinetic-rocon-python-redis, ros-kinetic-rocon-python-utils, ros-kinetic-rocon-python-wifi, ros-kinetic-rosgraph, ros-kinetic-roslib, ros-kinetic-rosparam, ros-kinetic-rospy, ros-kinetic-rosservice, ros-kinetic-rostopic, ros-kinetic-std-srvs, ros-kinetic-zeroconf-avahi, ros-kinetic-zeroconf-msgs
Description: A hub acts as a shared key-value store for multiple ros systems (primarily used by gateways).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-gateway//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
